<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme Palace
	 * @subpackage Korpo
	 * @since Korpo 1.0.0
	 */

	/**
	 * korpo_doctype hook
	 *
	 * @hooked korpo_doctype -  10
	 *
	 */
	do_action( 'korpo_doctype' );

?>
<head>
<?php
	/**
	 * korpo_before_wp_head hook
	 *
	 * @hooked korpo_head -  10
	 *
	 */
	do_action( 'korpo_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>
<?php
	/**
	 * korpo_page_start_action hook
	 *
	 * @hooked korpo_page_start -  10
	 * @hooked korpo_topbar -  20
	 *
	 */
	do_action( 'korpo_page_start_action' ); 

	/**
	 * korpo_loader_action hook
	 *
	 * @hooked korpo_loader -  10
	 *
	 */
	do_action( 'korpo_before_header' );

	/**
	 * korpo_header_action hook
	 *
	 * @hooked korpo_header_start -  10
	 * @hooked korpo_site_branding -  20
	 * @hooked korpo_site_navigation -  30
	 * @hooked korpo_header_end -  50
	 *
	 */
	do_action( 'korpo_header_action' );

	/**
	 * korpo_content_start_action hook
	 *
	 * @hooked korpo_content_start -  10
	 *
	 */
	do_action( 'korpo_content_start_action' );

	/**
	* korpo_primary_content hook
	*
	* @hooked korpo_add_message_section - 10
	* @hooked korpo_add_featured_section - 20
	* @hooked korpo_add_recent_section - 20
	* @hooked korpo_add_gallery_section - 20
	* @hooked korpo_add_popular_section - 20
	*
	*/
    if ( korpo_is_frontpage() ) {

    	$sections = korpo_sortable_sections();
		foreach ( $sections as $section => $value ) {
			add_action( 'korpo_primary_content', 'korpo_add_'. $section .'_section', korpo_sort( $section ) );
		}

		do_action( 'korpo_primary_content' );
	}