<?php
/**
 * pagination options
 *
 * @package Theme Palace
 * @subpackage Korpo
 * @since Korpo 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'korpo_pagination', array(
	'title'               => esc_html__('Pagination','korpo'),
	'description'         => esc_html__( 'Pagination section options.', 'korpo' ),
	'panel'               => 'korpo_theme_options_panel',
) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'korpo_theme_options[pagination_enable]', array(
	'sanitize_callback' => 'korpo_sanitize_switch_control',
	'default'             => $options['pagination_enable'],
) );

$wp_customize->add_control( new Korpo_Switch_Control( $wp_customize, 'korpo_theme_options[pagination_enable]', array(
	'label'               => esc_html__( 'Pagination Enable', 'korpo' ),
	'section'             => 'korpo_pagination',
	'on_off_label' 		=> korpo_switch_options(),
) ) );

// Site layout setting and control.
$wp_customize->add_setting( 'korpo_theme_options[pagination_type]', array(
	'sanitize_callback'   => 'korpo_sanitize_select',
	'default'             => $options['pagination_type'],
) );

$wp_customize->add_control( 'korpo_theme_options[pagination_type]', array(
	'label'               => esc_html__( 'Pagination Type', 'korpo' ),
	'section'             => 'korpo_pagination',
	'type'                => 'select',
	'choices'			  => korpo_pagination_options(),
	'active_callback'	  => 'korpo_is_pagination_enable',
) );
